import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';
import YBIC from './YBIC'

const FormItem = Form.Item;


export default class T25P extends Component
{

    keys = [1,2]

    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
        
        
        let mval =  `${obj.s2}`
        if(obj.s1)
            mval = `${obj.s1}\r\n${obj.s2}`
        this.props.onValue([obj,mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        return (<div>
        <Row>
                    <Col style={{"minWidth":'100px'}} span={16}>
                        <FormItem
                            label="Account"
                            help={errmsg.s1}
                            required={this.props.status=='M' || mval?'required':null}
                            validateStatus={errmsg.s1?'error':null}
                        >
                               
                                
                                    <Input  value={value.s1} onChange={e=>this.onChange(1,e.target.value)} maxLength={35} style={{imeMode:'disabled'}} placeholder="Account"/>
                                   
                        </FormItem>
                    </Col>
        </Row>
        <Row>
            <Col>
            <FormItem
                 label="Identifier Code"  
                 required={this.props.status=='M' || mval?'required':null}
                 help={errmsg.s2}
                 validateStatus={errmsg.s2?'error':null}
                >
                        
                        <Input addonAfter={ <YBIC onSelect={obj=>this.onChange(2,obj.bic)} /> }  maxLength={11} value={value.s2} onChange={e=>this.onChange(2,e.target.value)}  style={{imeMode:'disabled'}} placeholder="Identifier Code"/>
                </FormItem>
            </Col>
        </Row>
        </div>)
    }
}